Bug 1117912 - rpm: Add support for recommends generation
Summary: rpm: Add support for recommends generation
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: 21
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Upstream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 15:40 UTC by Mikolaj Izdebski
Modified: 2014-08-18 11:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-18 11:41:35 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mikolaj Izdebski 2014-07-09 15:40:01 UTC
Please implement automatic generation of recommends in rpmbuild. I can provide a patch if needed.

RPM 4.12 alpha supports manual recommends specification it spec files, but doesn't support recommends generation via file classifiers (rpmfc). I believe that this feature is necessary in order to fully utilise the power of soft dependencies.

In Java and dynamic languages automatic dependency generation plays an important role. Java SIG would like [1] to use this feature to for generating optional pagckage dependencies.

Version-Release number of selected component (if applicable):
4.11.90-0.git12844.5.fc21

[1] https://lists.fedoraproject.org/pipermail/java-devel/2014-April/005183.html

Comment 1 Panu Matilainen 2014-07-10 06:45:14 UTC
This has been implemented upstream already but its unclear at this point whether/when that work will be pulled into 4.12.x.

Comment 2 Panu Matilainen 2014-08-18 11:41:35 UTC
Fixed in rpm >= 4.12.0-0.beta1.1.fc21.1


Note You need to log in before you can comment on or make changes to this bug.